--- old/usr/src/cmd/tic/Makefile.common	Mon Jan  7 12:52:34 2019
+++ new/usr/src/cmd/tic/Makefile.common	Mon Jan  7 12:52:34 2019
@@ -24,6 +24,7 @@
 # Use is subject to license terms.
 # Copyright 2017 Nexenta Systems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		tic
 OBJS=		tic_captab.o \
@@ -45,3 +46,6 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/vtfontcvt/Makefile.common	Mon Jan  7 12:52:36 2019
+++ new/usr/src/cmd/vtfontcvt/Makefile.common	Mon Jan  7 12:52:36 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2017 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	vtfontcvt
 OBJS=	vtfontcvt.o
@@ -22,6 +23,9 @@
 
 LDLIBS += -lumem
 
+# not linted
+SMATCH=off
+
 %.o:	$(LZ4COMMONDIR)/%.c
 	$(COMPILE.c) $<
 	$(POST_PROCESS_O)
--- old/usr/src/cmd/zic/Makefile.common	Mon Jan  7 12:52:38 2019
+++ new/usr/src/cmd/zic/Makefile.common	Mon Jan  7 12:52:38 2019
@@ -2,6 +2,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		zic
 
@@ -12,3 +13,5 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+SMOFF +=	signed
--- old/usr/src/tools/aw/Makefile	Mon Jan  7 12:52:39 2019
+++ new/usr/src/tools/aw/Makefile	Mon Jan  7 12:52:39 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG	= aw
 
@@ -31,6 +32,9 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -ux -Xa -errchk=locfmtchk,parentheses
 
 CPPFLAGS +=	-DDEFAULT_AS_DIR='"$(GNU_ROOT)/bin"'
--- old/usr/src/tools/btxld/Makefile	Mon Jan  7 12:52:40 2019
+++ new/usr/src/tools/btxld/Makefile	Mon Jan  7 12:52:40 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../Makefile.tools
 
@@ -30,6 +31,9 @@
 CSTD=	$(CSTD_GNU99)
 CPPFLAGS +=	-I$(SRC)/uts/common -I$(COMMON_SRC)
 
+# not linted
+SMATCH=off
+
 $(ROOTONBLDMAN1ONBLDFILES)	:= FILEMODE=	644
 
 all: $(PROG) $(MAN1ONBLDFILES)
--- old/usr/src/tools/cscope-fast/Makefile	Mon Jan  7 12:52:42 2019
+++ new/usr/src/tools/cscope-fast/Makefile	Mon Jan  7 12:52:42 2019
@@ -24,6 +24,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= cscope-fast
 
@@ -50,6 +51,9 @@
 CERRWARN +=	-_gcc=-Wno-unused
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CFLAGS +=	$(CCVERBOSE)
 LDLIBS +=	-lcurses -ll
 
--- old/usr/src/tools/ctf/Makefile.ctf	Mon Jan  7 12:52:43 2019
+++ new/usr/src/tools/ctf/Makefile.ctf	Mon Jan  7 12:52:43 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../../../Makefile.tools
 
@@ -46,3 +47,5 @@
 CPPFLAGS += $(HDRDIRS)
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
+
+SMOFF += all_func_returns
--- old/usr/src/tools/ctf/ctfstrip/ctfstrip.c	Mon Jan  7 12:52:43 2019
+++ new/usr/src/tools/ctf/ctfstrip/ctfstrip.c	Mon Jan  7 12:52:43 2019
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2011 Jason King.  All rights reserved.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <stdlib.h>
@@ -132,7 +133,7 @@
 		return (B_FALSE);
 	}
 
-	waitpid(pid, &stat, 0);
+	(void) waitpid(pid, &stat, 0);
 	if (!WIFEXITED(stat) || WEXITSTATUS(stat) != 0) {
 		warnx("Removing CTF information from %s failed", filename);
 		return (B_FALSE);
--- old/usr/src/tools/ctf/cvt/st_parse.c	Mon Jan  7 12:52:44 2019
+++ new/usr/src/tools/ctf/cvt/st_parse.c	Mon Jan  7 12:52:44 2019
@@ -23,6 +23,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * This file is a sewer.
  */
 
@@ -629,7 +633,7 @@
 				/* record it as unresolved */
 				parse_debug(3, NULL, "tdefdecl unres type %d",
 				    h2);
-				*rtdp = calloc(sizeof (**rtdp), 1);
+				*rtdp = calloc(1, sizeof (**rtdp));
 				(*rtdp)->t_type = TYPEDEF_UNRES;
 				(*rtdp)->t_id = h2;
 				break;
@@ -639,7 +643,7 @@
 			/* define a new type */
 			cp = tdefdecl(cp, h2, rtdp);
 			if ((*rtdp)->t_id && (*rtdp)->t_id != h2) {
-				ntdp = calloc(sizeof (*ntdp), 1);
+				ntdp = calloc(1, sizeof (*ntdp));
 				ntdp->t_type = TYPEDEF;
 				ntdp->t_tdesc = *rtdp;
 				*rtdp = ntdp;
--- old/usr/src/tools/ctf/cvt/stabs.c	Mon Jan  7 12:52:45 2019
+++ new/usr/src/tools/ctf/cvt/stabs.c	Mon Jan  7 12:52:45 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * Routines used to read stabs data from a file, and to build a tdata structure
  * based on the interesting parts of that data.
  */
@@ -328,8 +332,7 @@
 		 * the N_PSYM stabs.
 		 */
 		if (scope && stab->n_type != N_PSYM) {
-			if (iidescp)
-				iidesc_free(iidescp);
+			iidesc_free(iidescp);
 			goto parse_loop_end;
 		}
 
--- old/usr/src/tools/ctf/dwarf/Makefile.com	Mon Jan  7 12:52:45 2019
+++ new/usr/src/tools/ctf/dwarf/Makefile.com	Mon Jan  7 12:52:45 2019
@@ -3,6 +3,8 @@
 # Use is subject to license terms.
 #
 # Copyright 2011, Richard Lowe.
+#
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../../Makefile.ctf
 
@@ -77,6 +79,9 @@
 CERRWARN +=	-_gcc=-Wno-unused
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# libdwarf not clean
+SMATCH=off
+
 LDLIBS = -lelf -lc
 
 .KEEP_STATE:
--- old/usr/src/tools/elfextract/elfextract.c	Mon Jan  7 12:52:46 2019
+++ new/usr/src/tools/elfextract/elfextract.c	Mon Jan  7 12:52:46 2019
@@ -24,8 +24,11 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
+#include <unistd.h>
 #include <stdlib.h>
 #include <fcntl.h>
 #include <strings.h>
--- old/usr/src/tools/findunref/findunref.c	Mon Jan  7 12:52:47 2019
+++ new/usr/src/tools/findunref/findunref.c	Mon Jan  7 12:52:47 2019
@@ -23,6 +23,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * Finds all unreferenced files in a source tree that do not match a list of
  * permitted pathnames.
  */
@@ -200,7 +204,7 @@
 	pnset_t	*pnsetp;
 	char	path[MAXPATHLEN];
 
-	pnsetp = calloc(sizeof (pnset_t), 1);
+	pnsetp = calloc(1, sizeof (pnset_t));
 	if (pnsetp == NULL ||
 	    asprintf(&hgcmd, "hg manifest -R %s", hgroot) == -1)
 		goto fail;
@@ -242,7 +246,7 @@
 	pnset_t	*pnsetp;
 	char	path[MAXPATHLEN];
 
-	pnsetp = calloc(sizeof (pnset_t), 1);
+	pnsetp = calloc(1, sizeof (pnset_t));
 	if (pnsetp == NULL ||
 	    asprintf(&gitcmd, "git --git-dir=%s/.git ls-files", gitroot) == -1)
 		goto fail;
@@ -400,7 +404,7 @@
 	pnset_t		*pnsetp;
 	unsigned int	i;
 
-	pnsetp = calloc(sizeof (pnset_t), 1);
+	pnsetp = calloc(1, sizeof (pnset_t));
 	if (pnsetp == NULL)
 		return (NULL);
 
--- old/usr/src/tools/install.bin/install.bin.c	Mon Jan  7 12:52:48 2019
+++ new/usr/src/tools/install.bin/install.bin.c	Mon Jan  7 12:52:48 2019
@@ -22,6 +22,9 @@
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -103,13 +106,13 @@
 
 	if (group) {
 		grp = stdfind(group, groupnames);
-		if (grp < 0)
+		if (grp == (gid_t)-1)
 			(void) fprintf(stderr, "unknown group(%s)\n", group);
 	}
 
 	if (owner) {
 		own = stdfind(owner, usernames);
-		if (own < 0) {
+		if (own == (uid_t)-1) {
 			(void) fprintf(stderr, "unknown owner(%s)\n", owner);
 			exit(1);
 		}
--- old/usr/src/tools/makesoftcore/Makefile	Mon Jan  7 12:52:48 2019
+++ new/usr/src/tools/makesoftcore/Makefile	Mon Jan  7 12:52:48 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2018 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.tools
 
@@ -23,6 +24,9 @@
 SRCS=		makesoftcore.c lz4.c
 LDLIBS=		-lumem
 
+# not linted
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all:		$(PROG)
--- old/usr/src/tools/mandoc/Makefile	Mon Jan  7 12:52:49 2019
+++ new/usr/src/tools/mandoc/Makefile	Mon Jan  7 12:52:49 2019
@@ -30,6 +30,9 @@
 CPPFLAGS +=	-I$(NATIVE_ADJUNCT)/include
 LDFLAGS +=	-L$(NATIVE_ADJUNCT)/lib -R$(NATIVE_ADJUNCT)/lib
 
+# 3rd party code
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(PROG)
--- old/usr/src/tools/protocmp/exception_list.c	Mon Jan  7 12:52:51 2019
+++ new/usr/src/tools/protocmp/exception_list.c	Mon Jan  7 12:52:51 2019
@@ -24,6 +24,8 @@
  * Use is subject to license terms.
  *
  * Copyright 2015 PALO, Richard
+ *
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <stdio.h>
@@ -76,6 +78,7 @@
 
 	while ((e->arch = assign_arch(arch)) == 0) {
 		if ((arch = strtok(NULL, FS)) == NULL) {
+			free(e);
 			return (0);
 		}
 	}
--- old/usr/src/tools/protocmp/proto_list.c	Mon Jan  7 12:52:52 2019
+++ new/usr/src/tools/protocmp/proto_list.c	Mon Jan  7 12:52:52 2019
@@ -23,7 +23,9 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 #include <stdio.h>
 #include <fcntl.h>
@@ -193,7 +195,7 @@
 	else {
 		e->symsrc = malloc(strlen(v[SYM]) + 1);
 		(void) strcpy(e->symsrc, v[SYM]);
-			if (e->file_type != SYM_LINK_T)
+		if (e->file_type != SYM_LINK_T)
 #if defined(__sparc)
 			if (strncmp(e->symsrc, "sun4/", 5) == 0)
 				e->arch = P_SUN4;
